//=============================================================================
// LoathsomeLaserArena.
// replaces all weapons and ammo with Loathsome Lasers and Laser Batteries.
//=============================================================================

class LLA expands Arena config(LaserArena);

var() config int LaserDamage;
var() config int LaserLength;

function PostBeginPlay()
{
	Class'LoathsomeLaser_RC1.LL'.default.LaserDamage = LaserDamage;
	Class'LoathsomeLaser_RC1.LL'.default.LaserLength = LaserLength;
	Super.PostBeginPlay();
}

defaultproperties
{
     LaserDamage=72.0
     LaserLength=12
     WeaponName=LL
     AmmoName=LAmmo
     WeaponString="LoathsomeLaser_RC1.LL"
     AmmoString="LoathsomeLaser_RC1.LAmmo"
     DefaultWeapon=Class'LoathsomeLaser_RC1.LL'
}
